Skip to main content
DELETE
/
api
/
v1
/
external
/
companies
/
{companyId}
/
policies
/
{policyId}
/
transactions
/
{transactionId}
Delete Policy Transaction
curl --request DELETE \
  --url https://app.aiinsurance.io/api/v1/external/companies/{companyId}/policies/{policyId}/transactions/{transactionId} \
  --header 'Authorization: <api-key>'
{
  "id": "550e8400-e29b-41d4-a716-446655440020",
  "deleted": true
}

Authorizations

Authorization
string
header
required

API key authentication. Send your raw API key as the Authorization header value with NO scheme prefix — Authorization: YOUR-API-KEY. Do NOT prefix it with Bearer or ApiKey, and do not use an X-API-Key header; those are not accepted.

Path Parameters

companyId
string<uuid>
required

Company identifier

policyId
string<uuid>
required

Policy identifier

transactionId
string<uuid>
required

Transaction identifier

Response

Transaction deleted successfully

id
string<uuid>
required

The ID of the deleted transaction

deleted
boolean
required

Confirmation that the transaction was deleted